import type { NumericalStats } from 'ts-common';

export const updateNumericalStats = (stats: NumericalStats, value: number) => {
  if (stats.min === undefined || value < stats.min) stats.min = value;
  if (stats.max === undefined || value > stats.max) stats.max = value;

  stats.count++;
  stats.average = (stats.average * (stats.count - 1) + value) / stats.count;
};

